### Method

# EBook BookClient get_view

since: 3.2

#### Declaration [src]

    void
    e_book_client_get_view (
      EBookClient* client,
      const gchar* sexp,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Query `client` with `sexp`, creating an `EBookClientView`. The call is finished by `e_book_client_get_view_finish()` from the `callback`.

Note: `sexp` can be obtained through `EBookQuery`, by converting it to a string with e_book_query_to_string().

Available since: 3.2

This method completes asynchronously. Use `e_book_client_get_view_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`sexp`

  Type: `const gchar*`

  An S-expression representing the query.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when a result is ready.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for the `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.